Bug 1410050 - Experimental shift on scalar is now forbidden at /usr/share/perl5/vendor_perl/RPM/Grill/Plugin/RpmScripts.pm line 293, near "@words)"
Summary: Experimental shift on scalar is now forbidden at /usr/share/perl5/vendor_perl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: rpmgrill
Classification: Community
Component: Tests
Version: 0.29
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: 0.30
Assignee: Roman Joost
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 10:57 UTC by Kamil Páral
Modified: 2017-01-23 00:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-23 00:48:05 UTC


Attachments (Terms of Use)

Description Kamil Páral 2017-01-04 10:57:00 UTC
Description of problem:
This was not present with rpmgrill-0.28-2.fc25.noarch. But when I update to rpmgrill-0.29-1.fc25.noarch and run it on htop-2.0.2-1.fc25, I see these errors:

Couldn't require RPM::Grill::Plugin::RpmScripts : Experimental shift on scalar is now forbidden at /usr/share/perl5/vendor_perl/RPM/Grill/Plugin/RpmScripts.pm line 293, near "@words)
        "
BEGIN not safe after errors--compilation aborted at /usr/share/perl5/vendor_perl/RPM/Grill/Plugin/RpmScripts.pm line 302.
Compilation failed in require at /usr/share/perl5/vendor_perl/Module/Runtime.pm line 317.
 at /usr/share/perl5/vendor_perl/Module/Pluggable.pm line 32.
Couldn't require RPM::Grill::Plugin::RpmScripts : Attempt to reload RPM/Grill/Plugin/RpmScripts.pm aborted.
Compilation failed in require at /usr/share/perl5/vendor_perl/Module/Runtime.pm line 317.
 at /usr/share/perl5/vendor_perl/Module/Pluggable.pm line 32.
Couldn't require RPM::Grill::Plugin::RpmScripts : Attempt to reload RPM/Grill/Plugin/RpmScripts.pm aborted.
Compilation failed in require at /usr/share/perl5/vendor_perl/Module/Runtime.pm line 317.
 at /usr/share/perl5/vendor_perl/Module/Pluggable.pm line 32.
Couldn't require RPM::Grill::Plugin::RpmScripts : Attempt to reload RPM/Grill/Plugin/RpmScripts.pm aborted.
Compilation failed in require at /usr/share/perl5/vendor_perl/Module/Runtime.pm line 317.
 at /usr/share/perl5/vendor_perl/Module/Pluggable.pm line 32.
Couldn't require RPM::Grill::Plugin::RpmScripts : Attempt to reload RPM/Grill/Plugin/RpmScripts.pm aborted.
Compilation failed in require at /usr/share/perl5/vendor_perl/Module/Runtime.pm line 317.
 at /usr/share/perl5/vendor_perl/Module/Pluggable.pm line 32.
Couldn't require RPM::Grill::Plugin::RpmScripts : Attempt to reload RPM/Grill/Plugin/RpmScripts.pm aborted.
Compilation failed in require at /usr/share/perl5/vendor_perl/Module/Runtime.pm line 317.
 at /usr/share/perl5/vendor_perl/Module/Pluggable.pm line 32.
Couldn't require RPM::Grill::Plugin::RpmScripts : Attempt to reload RPM/Grill/Plugin/RpmScripts.pm aborted.
Compilation failed in require at /usr/share/perl5/vendor_perl/Module/Runtime.pm line 317.
 at /usr/share/perl5/vendor_perl/Module/Pluggable.pm line 32.


It does not crash the script, but I don't know whether the reported results are trustworthy.

Version-Release number of selected component (if applicable):
rpmgrill-0.29-1.fc25.noarch

How reproducible:
always

Steps to Reproduce:
1. runtask --item htop-2.0.2-1.fc25 --type koji_build --arch x86_64 ~/devel/taskotron/task-rpmgrill/runtask.yml
(or run it manually by downloading the build and running run_rpmgrill.sh)

Comment 1 Roman Joost 2017-01-04 23:32:35 UTC
Dear Kamil,

thanks for the bug report. I found the patch which introduced the problem. I see if I can get this sorted before time runs out.

Comment 2 Roman Joost 2017-01-06 02:16:55 UTC
Patch available (and merged):

https://github.com/default-to-open/rpmgrill/commit/2cc8552644d91d54bac9f8465d81100f4d65aec7

Comment 3 Kamil Páral 2017-01-06 09:13:23 UTC
Thanks, seems fixed with rpmgrill-0.30-1.fc25 at https://bodhi.fedoraproject.org/updates/FEDORA-2017-908e8c0e6f .

Comment 4 Roman Joost 2017-01-23 00:48:05 UTC
This has been released with rpmgrill-0.30.


Note You need to log in before you can comment on or make changes to this bug.